%define version	1.3.7
%define release	1mdk

%define pkgname libbonobouimm
%define api_version 1.3
%define major 8
%define libname %mklibname bonobouimm %api_version

# (Abel) 1.3.6-1mdk don't install sample progs by default.
%define no_sample 1

%define have_libtool_1_5 0

Summary: 	A C++ interface of GNOME 2 bonoboui library
Name: 		libbonobouimm1.3
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

# tar.gz downloadable at ftp://download.sourceforge.net/gtkmm/
Source: 	%{pkgname}-%{version}.tar.bz2
Patch0:		%{pkgname}-libtool-1.5.patch.bz2

BuildRequires:	gtkmm2.0-devel
BuildRequires:	libbonobomm1.3-devel
BuildRequires:	libbonoboui2-devel

%description
The %{pkgname} library is a C++ interface of libbonoboui library.
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{major}
Summary: 	A C++ interface of GNOME 2 bonoboui library
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description -n %{libname}_%{major}
The %{pkgname} library is a C++ interface of libbonoboui library.
It is a subpackage of the gnomemm project.


%package -n %{libname}_%{major}-devel
Summary:	Development files for bonoboui library C++ interface
Group: 		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}

%description -n %{libname}_%{major}-devel
This package contains all necessary files, including libraries and headers,
that are needed to develop/compile applications which use %{pkgname},
the C++ interface to libbonoboui.

%prep
%setup -q -n %{pkgname}-%{version}
%if %have_libtool_1_5
%patch0 -p0 -b .libtool15
%endif

%build
%if %have_libtool_1_5
%define __libtoolize /bin/true
%endif

%configure2_5x --enable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %no_sample
rm -f	%{buildroot}%{_libdir}/bonobo-2.0/samples/bonobomm-sample-controls \
	%{buildroot}%{_libdir}/bonobo/servers/Bonobomm_Sample_Controls.server \
	%{buildroot}%{_datadir}/gnome/ui/Bonobo_Sample_Hello.xml
%endif

# remove zero length header
[ -s %{buildroot}%{_includedir}/libbonobouimm-2.0/bonobomm/servers/init.h ] || rm -f %{buildroot}%{_includedir}/libbonobouimm-2.0/bonobomm/servers/init.h

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}_%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%if !%no_sample
%{_libdir}/bonobo-2.0/samples/bonobomm-sample-controls
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gnome/ui/*.xml
%endif

%files -n %{libname}_%{major}-devel
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-2.0
%{_libdir}/gtkmm-2.0/proc/m4/*.m4

###########################################################################
%changelog
* Tue Nov 18 2003 Abel Cheung <deaddog@deaddog.org> 1.3.7-1mdk
- 1.3.7
- BuildRequires/libname fix for 64bit arch

* Wed Sep  3 2003 Abel Cheung <deaddog@deaddog.org> 1.3.6-1mdk
- First Mandrake spec
- Patch0: Fix libtool 1.5 to search for staging libraries first
